# Class CIM_CommonDatabaseSettingData
extends CIM_SettingData

This class contains the specific settings that identify the degree to which the high-level database capabilities that are defined in the CIM_CommonDatabaseCapabilities class are supported by a CommonDatabase. Specific values for the properties in this class must correspond to a valid capability that has been defined in the CIM_CommonDatabaseCapabilities class. Instances in the CIM_CommonDatabaseSettingData class are tied to the CommonDatabase using the ElementSettingData association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_CommonDatabaseSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class contains the specific settings that identify the degree to which the high-level database capabilities that are defined in the CIM_CommonDatabaseCapabilities class are supported by a CommonDatabase. Specific values for the properties in this class must correspond to a valid capability that has been defined in the CIM_CommonDatabaseCapabilities class. Instances in the CIM_CommonDatabaseSettingData class are tied to the CommonDatabase using the ElementSettingData association.

UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherRecoverabilityOption | string |
Description | string | This property contains additional recovery information for the CommonDatabase. This property must be specified when the Recoverability property is "Other".
ModelCorrespondence | string | CIM_CommonDatabaseSettingData.RecoverabilityOption, CIM_CommonDatabaseCapabilities.OtherRecoverabilityOptions
Write | boolean | true
RecoverabilityOption | uint16 |
Description | string | RecoverabilityOption indicates the specific recoverability mode for the associated CommonDatabase.
ModelCorrespondence | string | CIM_CommonDatabaseSettingData.OtherRecoverabilityOption, CIM_CommonDatabaseCapabilities.RecoverabilityOptions
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Recoverable, Non-Recoverable, Rebuildable
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods